### Constructor

# Gtk EntryCompletionnew_with_area

deprecated: 4.10

#### Declaration [src]

    GtkEntryCompletion*
    gtk_entry_completion_new_with_area (
      GtkCellArea* area
    )

#### Description [src]

Creates a new `GtkEntryCompletion` object using the specified `area`.

The `GtkCellArea` is used to layout cells in the underlying `GtkTreeViewColumn` for the drop-down menu.

Deprecated since: 4.10

GtkEntryCompletion will be removed in GTK 5.

#### Parameters

`area`

  Type: `GtkCellArea`

  The `GtkCellArea` used to layout cells.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkEntryCompletion`

A newly created `GtkEntryCompletion` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.